Bug 585419 - After testing install media, eject gets called
Summary: After testing install media, eject gets called
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Release Test Team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-23 23:09 UTC by Gordan Bobic
Modified: 2010-04-25 10:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-25 02:23:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gordan Bobic 2010-04-23 23:09:59 UTC
If media testing is selected during the installation, the disc gets ejected. This shouldn't happen unless additional media testing is requested (which is the next question asked).

When this happens during the installation under KVM (virt-manager), the virtual CD drive doesn't get disconnected upon eject command being invoked, but the installer can no longer find the media to install from. Installation can only resume after the virtual DVD image is unmounted and re-connected in virt-manager.

Comment 2 RHEL Product and Program Management 2010-04-24 00:04:07 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Chris Lumens 2010-04-25 02:23:26 UTC
We eject the media on purpose so if you have multiple discs in the set, you have an easier time of switching them out.

Comment 4 Gordan Bobic 2010-04-25 10:45:04 UTC
Shouldn't this happen _after_ the user has confirmed that there are other media they want to test, considering that is the very next question the installer asks? Also, what other media could there be when the DVD distribution is used?


Note You need to log in before you can comment on or make changes to this bug.